Loading...
Searching...
No Matches
Magick::DrawablePushClipPath Class Reference
Inheritance diagram for Magick::DrawablePushClipPath:

## Public Member Functions

| DrawablePushClipPath (const std::string &id_)
| DrawablePushClipPath (const DrawablePushClipPath &original_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const

## Private Attributes

std::string | _id

## Detailed Description

Definition at line 558 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawablePushClipPath() [1/2]

Magick::DrawablePushClipPath::DrawablePushClipPath | ( | const std::string & | id_ | ) |

Definition at line 409 of file Drawable.cpp.

: _id(id_.c_str()) //multithread safe const char*
{
}

## DrawablePushClipPath() [2/2]

Magick::DrawablePushClipPath::DrawablePushClipPath | ( | const DrawablePushClipPath & | original_ | ) |

Definition at line 413 of file Drawable.cpp.

: DrawableBase (original_),
_id(original_._id.c_str())
{
}

## ~DrawablePushClipPath()

Magick::DrawablePushClipPath::~DrawablePushClipPath | ( | void |  | ) |

Definition at line 419 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawablePushClipPath::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 428 of file Drawable.cpp.

{
return new DrawablePushClipPath(*this);
}

## operator()()

void Magick::DrawablePushClipPath::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 422 of file Drawable.cpp.

{
DrawPushDefs(context_);
DrawPushClipPath( context_, _id.c_str());
}

## Field Documentation

## _id

std::string Magick::DrawablePushClipPath::_id

private

Definition at line 574 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp